Subject: Re: [PATCH v4] perf: bpf: Fix build breakage due to libbpf

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Thu, 7 Jan 2016 13:08:07 -0300

Em Thu, Jan 07, 2016 at 12:28:15PM +0530, Naveen N. Rao escreveu:
> On 2015/12/17 09:19AM, Arnaldo Carvalho de Melo wrote:
> > Em Thu, Dec 17, 2015 at 10:37:14AM +0530, Naveen N. Rao escreveu:
> > > On 2015/12/17 09:29AM, Wang Nan wrote:
> > > > The whole thread is:
> > > > 
> > > > [PATCH v3 0/3] perf build: PowerPC: Fix build breakage due to libbpf:
> > > > http://lkml.kernel.org/g/[email-masked]
> > > > 
> > > > [PATCH v3 1/3] perf tools: Fix PowerPC native building
> > > > http://lkml.kernel.org/g/[email-masked]
> > > > 
> > > > [PATCH v3 2/3] tools: Move Makefile.arch from perf/config to tools/scripts
> > > > http://lkml.kernel.org/g/[email-masked]
> > > > 
> > > > [PATCH v3 3/3] perf: bpf: Fix build breakage due to libbpf
> > > > http://lkml.kernel.org/g/[email-masked]
> > > > 
> > > > and [PATCH v3 3/3] breaks local building because the usage of "srctree", and
> > 	     ^^
> > > You mean v4 here.
> > 
> > > Anyway, now that you've sent v4, it should be much clearer.
> > 
> > Right, I should've read it more thoroughly, but anyway, I'll process it
> > today.
> 
> Bump.
> 
> Arnaldo,
> Can you please push at least the initial 3 patches of this for v4.4?  

Sure, I'll try to do that now.

> Wang Nan has posted v6 here:
> http://thread.gmane.org/gmane.linux.kernel/2110626

And process the other patches in this series, in perf/core.

> Thanks,
> Naveen